Propose a fact for a pack
curl --request POST \
--url https://api.example.com/api/registry/context/candidates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pack_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"source": "correction",
"run_id": "<string>",
"chat_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_seq": 123,
"message": "<string>"
}
'import requests
url = "https://api.example.com/api/registry/context/candidates"
payload = {
"pack_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"source": "correction",
"run_id": "<string>",
"chat_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_seq": 123,
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pack_artifact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
text: '<string>',
source: 'correction',
run_id: '<string>',
chat_thread_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chat_seq: 123,
message: '<string>'
})
};
fetch('https://api.example.com/api/registry/context/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/context/candidates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pack_artifact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'text' => '<string>',
'source' => 'correction',
'run_id' => '<string>',
'chat_thread_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'chat_seq' => 123,
'message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/context/candidates"
payload := strings.NewReader("{\n \"pack_artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"source\": \"correction\",\n \"run_id\": \"<string>\",\n \"chat_thread_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chat_seq\": 123,\n \"message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/registry/context/candidates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pack_artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"source\": \"correction\",\n \"run_id\": \"<string>\",\n \"chat_thread_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chat_seq\": 123,\n \"message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/context/candidates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pack_artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"source\": \"correction\",\n \"run_id\": \"<string>\",\n \"chat_thread_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chat_seq\": 123,\n \"message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pack_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"source": "<string>",
"evidence": {},
"proposer": "<string>",
"status": "<string>",
"raises_sensitivity": true,
"created_at": "2023-11-07T05:31:56Z",
"duplicates": [
{}
],
"decided_by": "<string>",
"decided_at": "2023-11-07T05:31:56Z",
"decision_reason": "<string>",
"item_id": "<string>"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Context packs
Propose a fact for a pack
A correction or a thumbs-down with a correction. It reaches the pack only if a steward promotes it and the new version is approved.
POST
/
api
/
registry
/
context
/
candidates
Propose a fact for a pack
curl --request POST \
--url https://api.example.com/api/registry/context/candidates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pack_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"source": "correction",
"run_id": "<string>",
"chat_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_seq": 123,
"message": "<string>"
}
'import requests
url = "https://api.example.com/api/registry/context/candidates"
payload = {
"pack_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"source": "correction",
"run_id": "<string>",
"chat_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_seq": 123,
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pack_artifact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
text: '<string>',
source: 'correction',
run_id: '<string>',
chat_thread_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chat_seq: 123,
message: '<string>'
})
};
fetch('https://api.example.com/api/registry/context/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/context/candidates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pack_artifact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'text' => '<string>',
'source' => 'correction',
'run_id' => '<string>',
'chat_thread_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'chat_seq' => 123,
'message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/context/candidates"
payload := strings.NewReader("{\n \"pack_artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"source\": \"correction\",\n \"run_id\": \"<string>\",\n \"chat_thread_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chat_seq\": 123,\n \"message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/registry/context/candidates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pack_artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"source\": \"correction\",\n \"run_id\": \"<string>\",\n \"chat_thread_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chat_seq\": 123,\n \"message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/context/candidates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pack_artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"text\": \"<string>\",\n \"source\": \"correction\",\n \"run_id\": \"<string>\",\n \"chat_thread_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chat_seq\": 123,\n \"message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pack_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"source": "<string>",
"evidence": {},
"proposer": "<string>",
"status": "<string>",
"raises_sensitivity": true,
"created_at": "2023-11-07T05:31:56Z",
"duplicates": [
{}
],
"decided_by": "<string>",
"decided_at": "2023-11-07T05:31:56Z",
"decision_reason": "<string>",
"item_id": "<string>"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Propose a fact for a pack.
Response
Successful Response
A proposed fact awaiting a steward.
Was this page helpful?

